| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ILicense Interface Reference

License interface. More...

Inheritance diagram for LicenseSpring.ILicense:

## Public Member Functions
int | DaysRemaining ()
| How many days remaining till license expires.
bool | IsMaintenancePeriodExpired ()
| Is maintenance period expired.
int | MaintenanceDaysRemaining ()
| How many days remaining till maintenance period expires in current time zone.
DateTime | MaintenancePeriodLocal ()
| Returns The DateTime when maintenance expires in UTC
DateTime | ValidityPeriodLocal ()
| Returns The DateTime when license expires

## Properties
uint? | ActiveUpToDateDevices`[get]`
bool | AllowOverages`[get]`
ConsumptionPeriod | ConsumptionPeriod`[get]`
System.DateTime | CreatedAt`[get]`
| The DateTime of license creation.
List< CustomField > | CustomFields`[get]`
| Custom data fields available for the license.
uint? | DisabledUser`[get]`
bool | EnableMaintenancePeriod`[get]`
uint | FloatingInUseDevices`[get]`
uint? | FloatingTimeout`[get]`
uint | FloatingUsers`[get]`
ulong | Id`[get]`
| License id.
bool | IsFloating`[get]`
| Is this license floating.
bool | IsTrial`[get]`
| Is this license trial.
string | LastActivationDevice`[get]`
System.DateTime | LastCheck`[get]`
string | LicenseKey`[get]`
| License key or null if not available (in case of user-based product)
LicenseType | LicenseType`[get]`
| Type of license.
LicenseUser | LicenseUser`[get]`
List< LicenseUser > | LicenseUsers`[get]`
System.DateTime | MaintenancePeriod`[get]`
| Maintenance period for the license.
uint | MaxActivations`[get]`
| How many times license can be activated.
int? | MaxConsumptions`[get]`
| Maximum consumption of the license.
uint | MaxLicenseUsers`[get]`
| Maximum number of users of the license.
int | MaxOverages`[get]`
| Extra amount of consumption that allows to go over `MaxConsumption`.
string | Metadata`[get]`
| License metadata.
string | Note`[get]`
string | Order`[get]`
string | OrderItem`[get]`
string | OrderStoreId`[get]`
| A client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.
Customer | Owner`[get]`
| Information about license owner, commonly it's a person or organization associated with the license.
bool | PreventVm`[get]`
Product | Product`[get]`
| Information about a product this license belongs to.
List< LicenseFeature > | ProductFeatures`[get]`
| Product features available for the license.
bool | ResetConsumption`[get]`
System.DateTime | StartDate`[get]`
| License cannot be activated before this date.
LicenseStatus | Status`[get]`
| LicenseStatus object for this license.
string | SubscriptionId`[get]`
System.DateTime | TimeActivated`[get]`
| The DateTime of license activation.
System.DateTime | TimeDisabled`[get]`
| The DateTime when the license was disabled.
uint | TimesActivated`[get]`
| How many times license already been activated.
uint | TotalActiveDevices`[get]`
int | TotalConsumptions`[get]`
| Current total consumption of the license.
uint | TransferCount`[get]`
uint | TrialDays`[get]`
System.DateTime | UpdatedAt`[get]`
| The DateTime of the last license update.
System.DateTime | ValidityPeriod`[get]`
| The DateTime until the license is valid.

## Detailed Description

License interface.

Provides all information on a license.

## Member Function Documentation

## ◆ DaysRemaining()

int LicenseSpring.ILicense.DaysRemaining | ( |  | ) |

How many days remaining till license expires.

Days counter will be changed in midnight by UTC. 0 means license expires today.

Returns
  Days count till license expires by UTC

Implemented in LicenseSpring.License.

## ◆ IsMaintenancePeriodExpired()

bool LicenseSpring.ILicense.IsMaintenancePeriodExpired | ( |  | ) |

Is maintenance period expired.

Returns
  Boolean value indicating whether maintenance period have been expired for current license

Implemented in LicenseSpring.License.

## ◆ MaintenanceDaysRemaining()

int LicenseSpring.ILicense.MaintenanceDaysRemaining | ( |  | ) |

How many days remaining till maintenance period expires in current time zone.

Days counter will be changed in local midnight.

Returns int.MaxValue in case maintenance period unlimited or not specified.

Returns
  Days count till maintenance expires in current time zone

Implemented in LicenseSpring.License.

## ◆ MaintenancePeriodLocal()

DateTime LicenseSpring.ILicense.MaintenancePeriodLocal | ( |  | ) |

Returns
  The DateTime when maintenance expires in UTC

Implemented in LicenseSpring.License.

## ◆ ValidityPeriodLocal()

DateTime LicenseSpring.ILicense.ValidityPeriodLocal | ( |  | ) |

Returns
  The DateTime when license expires

Implemented in LicenseSpring.License.

## Property Documentation

## ◆ ActiveUpToDateDevices

uint? LicenseSpring.ILicense.ActiveUpToDateDevices
| get

Implemented in LicenseSpring.License.

## ◆ AllowOverages

bool LicenseSpring.ILicense.AllowOverages
| get

Implemented in LicenseSpring.License.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.ILicense.ConsumptionPeriod
| get

Implemented in LicenseSpring.License.

## ◆ CreatedAt

System.DateTime LicenseSpring.ILicense.CreatedAt
| get

The DateTime of license creation.

Implemented in LicenseSpring.License.

## ◆ CustomFields

List<CustomField> LicenseSpring.ILicense.CustomFields
| get

Custom data fields available for the license.

Implemented in LicenseSpring.License.

## ◆ DisabledUser

uint? LicenseSpring.ILicense.DisabledUser
| get

Implemented in LicenseSpring.License.

## ◆ EnableMaintenancePeriod

bool LicenseSpring.ILicense.EnableMaintenancePeriod
| get

Implemented in LicenseSpring.License.

## ◆ FloatingInUseDevices

uint LicenseSpring.ILicense.FloatingInUseDevices
| get

Implemented in LicenseSpring.License.

## ◆ FloatingTimeout

uint? LicenseSpring.ILicense.FloatingTimeout
| get

Implemented in LicenseSpring.License.

## ◆ FloatingUsers

uint LicenseSpring.ILicense.FloatingUsers
| get

Implemented in LicenseSpring.License.

## ◆ Id

ulong LicenseSpring.ILicense.Id
| get

License id.

Implemented in LicenseSpring.License.

## ◆ IsFloating

bool LicenseSpring.ILicense.IsFloating
| get

Is this license floating.

Implemented in LicenseSpring.License.

## ◆ IsTrial

bool LicenseSpring.ILicense.IsTrial
| get

Is this license trial.

Implemented in LicenseSpring.License.

## ◆ LastActivationDevice

string LicenseSpring.ILicense.LastActivationDevice
| get

Implemented in LicenseSpring.License.

## ◆ LastCheck

System.DateTime LicenseSpring.ILicense.LastCheck
| get

Implemented in LicenseSpring.License.

## ◆ LicenseKey

string LicenseSpring.ILicense.LicenseKey
| get

License key or null if not available (in case of user-based product)

Implemented in LicenseSpring.License.

## ◆ LicenseType

LicenseType LicenseSpring.ILicense.LicenseType
| get

Type of license.

Implemented in LicenseSpring.License.

## ◆ LicenseUser

LicenseUser LicenseSpring.ILicense.LicenseUser
| get

Implemented in LicenseSpring.License.

## ◆ LicenseUsers

List<LicenseUser> LicenseSpring.ILicense.LicenseUsers
| get

Implemented in LicenseSpring.License.

## ◆ MaintenancePeriod

System.DateTime LicenseSpring.ILicense.MaintenancePeriod
| get

Maintenance period for the license.

Implemented in LicenseSpring.License.

## ◆ MaxActivations

uint LicenseSpring.ILicense.MaxActivations
| get

How many times license can be activated.

Implemented in LicenseSpring.License.

## ◆ MaxConsumptions

int? LicenseSpring.ILicense.MaxConsumptions
| get

Maximum consumption of the license.

Implemented in LicenseSpring.License.

## ◆ MaxLicenseUsers

uint LicenseSpring.ILicense.MaxLicenseUsers
| get

Maximum number of users of the license.

Implemented in LicenseSpring.License.

## ◆ MaxOverages

int LicenseSpring.ILicense.MaxOverages
| get

Extra amount of consumption that allows to go over `MaxConsumption`.

Implemented in LicenseSpring.License.

## ◆ Metadata

string LicenseSpring.ILicense.Metadata
| get

License metadata.

Implemented in LicenseSpring.License.

## ◆ Note

string LicenseSpring.ILicense.Note
| get

Implemented in LicenseSpring.License.

## ◆ Order

string LicenseSpring.ILicense.Order
| get

Implemented in LicenseSpring.License.

## ◆ OrderItem

string LicenseSpring.ILicense.OrderItem
| get

Implemented in LicenseSpring.License.

## ◆ OrderStoreId

string LicenseSpring.ILicense.OrderStoreId
| get

A client order id that can be manually set in platform or through the SDK. Not to be confused with order id that the server generates.

Implemented in LicenseSpring.License.

## ◆ Owner

Customer LicenseSpring.ILicense.Owner
| get

Information about license owner, commonly it's a person or organization associated with the license.

Implemented in LicenseSpring.License.

## ◆ PreventVm

bool LicenseSpring.ILicense.PreventVm
| get

Implemented in LicenseSpring.License.

## ◆ Product

Product LicenseSpring.ILicense.Product
| get

Information about a product this license belongs to.

Implemented in LicenseSpring.License.

## ◆ ProductFeatures

List<LicenseFeature> LicenseSpring.ILicense.ProductFeatures
| get

Product features available for the license.

Implemented in LicenseSpring.License.

## ◆ ResetConsumption

bool LicenseSpring.ILicense.ResetConsumption
| get

Implemented in LicenseSpring.License.

## ◆ StartDate

System.DateTime LicenseSpring.ILicense.StartDate
| get

License cannot be activated before this date.

Implemented in LicenseSpring.License.

## ◆ Status

LicenseStatus LicenseSpring.ILicense.Status
| get

LicenseStatus object for this license.

Implemented in LicenseSpring.License.

## ◆ SubscriptionId

string LicenseSpring.ILicense.SubscriptionId
| get

Implemented in LicenseSpring.License.

## ◆ TimeActivated

System.DateTime LicenseSpring.ILicense.TimeActivated
| get

The DateTime of license activation.

Implemented in LicenseSpring.License.

## ◆ TimeDisabled

System.DateTime LicenseSpring.ILicense.TimeDisabled
| get

The DateTime when the license was disabled.

Implemented in LicenseSpring.License.

## ◆ TimesActivated

uint LicenseSpring.ILicense.TimesActivated
| get

How many times license already been activated.

Implemented in LicenseSpring.License.

## ◆ TotalActiveDevices

uint LicenseSpring.ILicense.TotalActiveDevices
| get

Implemented in LicenseSpring.License.

## ◆ TotalConsumptions

int LicenseSpring.ILicense.TotalConsumptions
| get

Current total consumption of the license.

Implemented in LicenseSpring.License.

## ◆ TransferCount

uint LicenseSpring.ILicense.TransferCount
| get

Implemented in LicenseSpring.License.

## ◆ TrialDays

uint LicenseSpring.ILicense.TrialDays
| get

Implemented in LicenseSpring.License.

## ◆ UpdatedAt

System.DateTime LicenseSpring.ILicense.UpdatedAt
| get

The DateTime of the last license update.

Implemented in LicenseSpring.License.

## ◆ ValidityPeriod

System.DateTime LicenseSpring.ILicense.ValidityPeriod
| get

The DateTime until the license is valid.

Implemented in LicenseSpring.License.

The documentation for this interface was generated from the following file:

- License.cs